org.apache.poi.hsmf.extractor

## Class OutlookTextExtactor

- java.lang.Object
- - org.apache.poi.extractor.POITextExtractor
  - - org.apache.poi.extractor.POIOLE2TextExtractor
    - - org.apache.poi.hsmf.extractor.OutlookTextExtractor
      - - org.apache.poi.hsmf.extractor.OutlookTextExtactor

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

  Deprecated.
  use @{link OutlookTextExtractor} instead

      @Deprecated
       @Removal(version="5.0.0")
      public class OutlookTextExtactor
      extends OutlookTextExtractor

  A text extractor for HSMF (Outlook) .msg files. Outputs in a format somewhat like a plain text email.

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.extractor.POIOLE2TextExtractor

      `document`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutlookTextExtactor(DirectoryNode poifsDir)` Deprecated.
    `OutlookTextExtactor(java.io.InputStream inp)` Deprecated.
    `OutlookTextExtactor(MAPIMessage msg)` Deprecated.
    `OutlookTextExtactor(POIFSFileSystem fs)` Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)` Deprecated.

    - ### Methods inherited from class org.apache.poi.hsmf.extractor.OutlookTextExtractor

      `getMAPIMessage, getText, handleEmails`

    - ### Methods inherited from class org.apache.poi.extractor.POIOLE2TextExtractor

      `getDocSummaryInformation, getDocument, getMetadataTextExtractor, getRoot, getSummaryInformation`

    - ### Methods inherited from class org.apache.poi.extractor.POITextExtractor

      `close, setFilesystem`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutlookTextExtactor

          public OutlookTextExtactor(MAPIMessage msg)

      Deprecated.

    - #### OutlookTextExtactor

          public OutlookTextExtactor(DirectoryNode poifsDir)
                              throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### OutlookTextExtactor

          public OutlookTextExtactor(POIFSFileSystem fs)
                              throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### OutlookTextExtactor

          public OutlookTextExtactor(java.io.InputStream inp)
                              throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.Exception

      Deprecated.
      Throws:
        `java.lang.Exception`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.